import type { CreateSchemaOptions, CreateCredentialDefinitionOptions, CreateCredentialOfferOptions, CreateCredentialReturn, CreateCredentialOptions, CreateCredentialDefinitionReturn } from './AnonCredsIssuerServiceOptions';
import type { AnonCredsCredentialOffer } from '../models/exchange';
import type { AnonCredsSchema } from '../models/registry';
import type { AgentContext } from '@aries-framework/core';
export declare const AnonCredsIssuerServiceSymbol: unique symbol;
export interface AnonCredsIssuerService {
    createSchema(agentContext: AgentContext, options: CreateSchemaOptions): Promise<AnonCredsSchema>;
    createCredentialDefinition(agentContext: AgentContext, options: CreateCredentialDefinitionOptions, metadata?: Record<string, unknown>): Promise<CreateCredentialDefinitionReturn>;
    createCredentialOffer(agentContext: AgentContext, options: CreateCredentialOfferOptions): Promise<AnonCredsCredentialOffer>;
    createCredential(agentContext: AgentContext, options: CreateCredentialOptions): Promise<CreateCredentialReturn>;
}
